mmr.stats <- function (model,test, actual)
{
# Predicts outcome
# Prints MAE MSE RMSE RSE
# Returns a table of absolute and squared error values
# model = model of the data
# test = test data
# actual = values of the response variable

predicted <- predict(model,test)
pred.table <- cbind(actual,predicted)

abs.error <-0
sqr.error <-0
aesum <- 0
sesum <- 0

for (i in 1:nrow(pred.table))
{
  error = pred.table[i,1]- pred.table[i,2]
  
  abs.error[i] <- abs(error)
  aesum <- aesum + abs.error[i] # absolute error sum
  
  sqr.error[i] <- error * error
  sesum <- sesum + sqr.error[i] # squared error sum

}

model.error <- cbind(pred.table,abs.error,sqr.error)
model.error2 <- round(model.error,4)

mae <- aesum / nrow(pred.table)
print("Mean Absolute Error =")
print(round(mae,4))

mse <- sesum / nrow(pred.table)
print("Mean Squared Error =")
print(round(mse,4))

print("Root Mean Squared Error=")
rmse <- sqrt(mse)
print(round(rmse,4))

print("Residual standard error=")

# df = (No. in test data -1) - (No. of model coefficents -1)
df = (nrow(test)-1) - (length(coefficients(model)) -1)

rse <- sqrt(sesum/df)
print(round(rse,4))

# Return Error Table
return (model.error2)
}
